QNode.">

- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DCore
- QNodeId
- Qt 6.5.1 Reference Documentation

# QNodeId Class

class Qt3DCore::QNodeId

Uniquely identifies a QNode. More...

Header: | #include <Qt3DCore/QNodeId>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

quint64 | id() const
bool | isNull() const
bool | operator bool() const
bool | operator!=(Qt3DCore::QNodeId other) const
bool | operator<(Qt3DCore::QNodeId other) const
bool | operator==(Qt3DCore::QNodeId other) const
bool | operator>(Qt3DCore::QNodeId other) const

## Static Public Members

Qt3DCore::QNodeId | createId()

## Related Non-Members

| QNodeIdVector
size_t | qHash(Qt3DCore::QNodeId id, size_t seed = 0)

## Detailed Description

## Member Function Documentation

### `[static]` Qt3DCore::QNodeId QNodeId::createId()

Returns node id.

### `[constexpr]` quint64 QNodeId::id() const

Returns

### `[constexpr]` bool QNodeId::isNull() const

Returns

### `[constexpr]` bool QNodeId::operator bool() const

Returns

### `[constexpr]` bool QNodeId::operator!=(Qt3DCore::QNodeId other) const

Returns `true` if `this` != other.

### `[constexpr]` bool QNodeId::operator<(Qt3DCore::QNodeId other) const

Returns `true` if `this` < other.

### `[constexpr]` bool QNodeId::operator==(Qt3DCore::QNodeId other) const

Returns `true` if `this` == other.

### `[constexpr]` bool QNodeId::operator>(Qt3DCore::QNodeId other) const

Returns `true` if `this` > other.

## Related Non-Members

### `[alias]` QNodeIdVector

A vector of QNodeIds.

### `[constexpr]` size_t qHash(Qt3DCore::QNodeId id, size_t seed = 0)

Returns hash of node with id and optional seed.